diff --git a/Client/Client/Assets/Scenes/WebGL.unity b/Client/Client/Assets/Scenes/WebGL.unity
index 03fdb31..77ec70b 100644
--- a/Client/Client/Assets/Scenes/WebGL.unity
+++ b/Client/Client/Assets/Scenes/WebGL.unity
@@ -20106,10 +20380,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 25
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -2545.4546}
+  m_SizeDelta: {x: 1725, y: 28.13}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1297963517
 MonoBehaviour:
@@ -20347,10 +20621,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 21
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -2035.44}
+  m_SizeDelta: {x: 1725, y: 168.76}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1300247647
 MonoBehaviour:
@@ -20777,7 +21051,7 @@ GameObject:
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
-  m_IsActive: 1
+  m_IsActive: 0
 --- !u!224 &1316714130
 RectTransform:
   m_ObjectHideFlags: 0
@@ -20957,10 +21231,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 9
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 226, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -1009.09}
+  m_SizeDelta: {x: 226, y: 82}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1330625395
 MonoBehaviour:
@@ -21354,7 +21628,7 @@ GameObject:
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
-  m_IsActive: 0
+  m_IsActive: 1
 --- !u!224 &1358035355
 RectTransform:
   m_ObjectHideFlags: 0
@@ -21543,12 +21817,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 35
+  m_RootOrder: 37
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -3908.119}
+  m_SizeDelta: {x: 1725, y: 309.38}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1362998281
 MonoBehaviour:
@@ -21680,10 +21954,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 1
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -240.815}
+  m_SizeDelta: {x: 1725, y: 365.63}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1382269605
 MonoBehaviour:
@@ -22798,10 +23072,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 20
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -1893.0599}
+  m_SizeDelta: {x: 1725, y: 38}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &1430890187
 MonoBehaviour:
@@ -23016,7 +23290,7 @@ GameObject:
   - component: {fileID: 1433118818}
   - component: {fileID: 1433118817}
   m_Layer: 5
-  m_Name: ToTableText (2)
+  m_Name: -/-
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -23036,10 +23310,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 29
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -3076.7493}
+  m_SizeDelta: {x: 1725, y: 23.44}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1433118817
 MonoBehaviour:
@@ -23171,10 +23445,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: 0}
+  m_SizeDelta: {x: 1725, y: 38}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &1440830863
 MonoBehaviour:
@@ -23655,12 +23929,12 @@ RectTransform:
   m_LocalScale: {x: 1, y: 1, z: 1}
   m_Children: []
   m_Father: {fileID: 1641538590}
-  m_RootOrder: 33
+  m_RootOrder: 35
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 100, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -3667.429}
+  m_SizeDelta: {x: 100, y: 16}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1453365193
 MonoBehaviour:
@@ -23923,7 +24197,7 @@ GameObject:
   - component: {fileID: 1467629574}
   - component: {fileID: 1467629573}
   m_Layer: 5
-  m_Name: Gap
+  m_Name: '-'
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -23943,10 +24217,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 22
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -2153.8848}
+  m_SizeDelta: {x: 1725, y: 28.13}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1467629573
 MonoBehaviour:
@@ -24206,10 +24480,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 19
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 100, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -1865.0599}
+  m_SizeDelta: {x: 100, y: 16}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1486432587
 MonoBehaviour:
@@ -24310,10 +24584,10 @@ MonoBehaviour:
       m_Calls: []
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 14
+    m_FontSize: 16
     m_FontStyle: 0
     m_BestFit: 0
-    m_MinSize: 10
+    m_MinSize: 1
     m_MaxSize: 40
     m_Alignment: 4
     m_AlignByGeometry: 0
@@ -24367,7 +24641,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 50}
+  m_SizeDelta: {x: 0, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1492125306
 MonoBehaviour:
@@ -24401,7 +24675,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: "Sady P\u011Btat\u0159ic\xE1tn\xEDk\u016F 14, 16"
+  m_Text: "Sady P\u011Btat\u0159ic\xE1tn\xEDk\u016F 14, 16\n  - PC, PS"
 --- !u!222 &1492125307
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -25065,7 +25339,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 50}
+  m_SizeDelta: {x: 0, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1564566756
 MonoBehaviour:
@@ -25099,7 +25373,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: Jungmannova 1, 3
+  m_Text: "Jungmannova 1, 3\n  - JJ"
 --- !u!222 &1564566757
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -25145,7 +25419,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 50}
+  m_SizeDelta: {x: 0, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1573787682
 MonoBehaviour:
@@ -25179,7 +25453,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: "Klatovsk\xE1 51"
+  m_Text: "Klatovsk\xE1 51\n  - KL"
 --- !u!222 &1573787683
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -25506,7 +25780,7 @@ RectTransform:
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0.5, y: 0.5}
   m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: 100, y: 0}
+  m_AnchoredPosition: {x: 100, y: 50}
   m_SizeDelta: {x: 1050, y: 700}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1628087667
@@ -25583,7 +25857,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 50}
+  m_SizeDelta: {x: 0, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1629330793
 MonoBehaviour:
@@ -25617,7 +25891,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: "Koll\xE1rova 19"
+  m_Text: "Koll\xE1rova 19\n  - KO"
 --- !u!222 &1629330794
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -26014,6 +26288,8 @@ RectTransform:
   - {fileID: 1012737718}
   - {fileID: 2097123349}
   - {fileID: 87370962}
+  - {fileID: 324653356}
+  - {fileID: 8546170}
   - {fileID: 1453365192}
   - {fileID: 923257991}
   - {fileID: 1362998280}
@@ -26023,7 +26299,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 1}
   m_AnchorMax: {x: 1, y: 1}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 0}
+  m_SizeDelta: {x: -33, y: 4062.809}
   m_Pivot: {x: 0, y: 1}
 --- !u!114 &1641538591
 MonoBehaviour:
@@ -27186,10 +27462,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 23
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 367, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -2327.9497}
+  m_SizeDelta: {x: 367, y: 280}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1702604381
 MonoBehaviour:
@@ -28176,7 +28452,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 500, y: 50}
+  m_SizeDelta: {x: 500, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1768824709
 MonoBehaviour:
@@ -28724,7 +29000,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 500, y: 50}
+  m_SizeDelta: {x: 500, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1801102824
 MonoBehaviour:
@@ -28758,7 +29034,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: Tylova 59
+  m_Text: "Tylova 59\n  - TY, TS"
 --- !u!222 &1801102825
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -28986,7 +29262,7 @@ GameObject:
   - component: {fileID: 1816361344}
   - component: {fileID: 1816361343}
   m_Layer: 5
-  m_Name: Gap
+  m_Name: '-'
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -29006,10 +29282,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 11
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -1127.595}
+  m_SizeDelta: {x: 1725, y: 28.13}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1816361343
 MonoBehaviour:
@@ -29219,9 +29495,9 @@ RectTransform:
   m_RootOrder: 0
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
+  m_AnchorMax: {x: 1, y: 1}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 0}
+  m_SizeDelta: {x: -17, y: 0}
   m_Pivot: {x: 0, y: 1}
 --- !u!114 &1822448961
 MonoBehaviour:
@@ -30258,7 +30534,7 @@ GameObject:
   - component: {fileID: 1899073949}
   - component: {fileID: 1899073948}
   m_Layer: 5
-  m_Name: Gap (3)
+  m_Name: '-'
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -30278,10 +30554,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 16
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -1659.5549}
+  m_SizeDelta: {x: 1725, y: 28.13}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1899073948
 MonoBehaviour:
@@ -31302,7 +31578,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 500, y: 50}
+  m_SizeDelta: {x: 500, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1963047964
 MonoBehaviour:
@@ -31403,10 +31679,10 @@ MonoBehaviour:
       m_Calls: []
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 14
+    m_FontSize: 16
     m_FontStyle: 0
     m_BestFit: 0
-    m_MinSize: 10
+    m_MinSize: 1
     m_MaxSize: 40
     m_Alignment: 4
     m_AlignByGeometry: 0
@@ -31575,7 +31851,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 0, y: 50}
+  m_SizeDelta: {x: 0, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1982931450
 MonoBehaviour:
@@ -31609,7 +31885,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: "Dominik\xE1nsk\xE1 9"
+  m_Text: "Dominik\xE1nsk\xE1 9\n  - DD"
 --- !u!222 &1982931451
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -32434,10 +32710,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 3
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -479.63}
+  m_SizeDelta: {x: 1725, y: 38}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &2016039611
 MonoBehaviour:
@@ -33416,7 +33692,7 @@ MonoBehaviour:
       m_Calls: []
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 14
+    m_FontSize: 16
     m_FontStyle: 0
     m_BestFit: 0
     m_MinSize: 1
@@ -33494,10 +33770,10 @@ MonoBehaviour:
       m_Calls: []
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 14
+    m_FontSize: 20
     m_FontStyle: 0
     m_BestFit: 0
-    m_MinSize: 10
+    m_MinSize: 2
     m_MaxSize: 40
     m_Alignment: 5
     m_AlignByGeometry: 0
@@ -33640,7 +33916,7 @@ RectTransform:
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
   m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 500, y: 50}
+  m_SizeDelta: {x: 500, y: 75}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &2074449105
 MonoBehaviour:
@@ -33960,7 +34236,7 @@ GameObject:
   - component: {fileID: 2093300009}
   - component: {fileID: 2093300008}
   m_Layer: 5
-  m_Name: Gap (4)
+  m_Name: '-'
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -33980,10 +34256,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 27
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 1725, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -2922.9644}
+  m_SizeDelta: {x: 1725, y: 28.13}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &2093300008
 MonoBehaviour:
@@ -34172,7 +34448,7 @@ GameObject:
   - component: {fileID: 2097123351}
   - component: {fileID: 2097123350}
   m_Layer: 5
-  m_Name: ToMap (2)
+  m_Name: Clear W BTN
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
@@ -34192,10 +34468,10 @@ RectTransform:
   m_Father: {fileID: 1641538590}
   m_RootOrder: 31
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 0}
-  m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 0, y: 0}
-  m_SizeDelta: {x: 357, y: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 877.5, y: -3201.599}
+  m_SizeDelta: {x: 357, y: 90}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &2097123350
 MonoBehaviour:
diff --git a/Client/Client/Assets/Scripts/Model/Buildings.cs b/Client/Client/Assets/Scripts/Model/Buildings.cs
index f902534..6d30cdf 100644
--- a/Client/Client/Assets/Scripts/Model/Buildings.cs
+++ b/Client/Client/Assets/Scripts/Model/Buildings.cs
@@ -2,9 +2,18 @@
 using System.Collections.Generic;
 using UnityEngine;
 
+/// <summary>
+/// All available building names
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class Buildings
 {
 
+    /// <summary>
+    /// All building names
+    /// </summary>
     public static string[] buildings = new string[] {
         "FST+FEK", "FDU", "FAV", "FEL", "REK", "MENZA", "LIB", "CIV", "UNI14",
         "DOM", "HUS", "CHOD", "JUNG", "KLAT", "KOLL", "RIEG", "SADY", "SED+VEL",
diff --git a/Client/Client/Assets/Scripts/Model/Date.cs b/Client/Client/Assets/Scripts/Model/Date.cs
index 622fbb4..9e5d24e 100644
--- a/Client/Client/Assets/Scripts/Model/Date.cs
+++ b/Client/Client/Assets/Scripts/Model/Date.cs
@@ -4,25 +4,54 @@ using UnityEngine;
 using System.Xml.Serialization;
 using System;
 
+/// <summary>
+/// Date representation
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class Date : IComparable<Date>
 {
+    /// <summary>
+    /// Day start
+    /// </summary>
 	[XmlIgnore]
     public static int MIN_HOUR = 7;
+    
+    /// <summary>
+    /// Day end
+    /// </summary>
     [XmlIgnore]
     public static int MAX_HOUR = 18;
 
+    /// <summary>
+    /// Day number
+    /// </summary>
     [XmlElement]
     public int day;
     
+    /// <summary>
+    /// Month number
+    /// </summary>
     [XmlElement]
     public int month;
     
+    /// <summary>
+    /// Year number
+    /// </summary>
     [XmlElement]
     public int year;
 
+    /// <summary>
+    /// Hour number
+    /// </summary>
     [XmlElement]
     public int hour;
 
+    /// <summary>
+    /// Creates a random date
+    /// </summary>
+    /// <returns>A random date</returns>
     public static Date Randomize()
     {
         Date d = new Date();
@@ -35,6 +64,10 @@ public class Date : IComparable<Date>
         return d;
     }
 
+    /// <summary>
+    /// Clones an existing date
+    /// </summary>
+    /// <returns>A deep clone</returns>
     public Date Clone()
     {
         Date clone = new Date();
@@ -45,6 +78,11 @@ public class Date : IComparable<Date>
         return clone;
     }
 
+    /// <summary>
+    /// Compares two dates
+    /// </summary>
+    /// <param name="other">Date to compare to</param>
+    /// <returns> -1 if this instance is less than other, 0 if they are equal, and 1 otherwise</returns>
     public int CompareTo(Date other)
     {
         if (year < other.year) return -1;
diff --git a/Client/Client/Assets/Scripts/Model/DateTimeManager.cs b/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
index 8d516b6..78b5b3c 100644
--- a/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
+++ b/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
@@ -4,29 +4,67 @@ using System.Collections.Generic;
 using UnityEngine;
 using UnityEngine.UI;
 
+/// <summary>
+/// Manages time relates application state
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class DateTimeManager : MonoBehaviour, DateTimeObserver
 {
+    /// <summary>
+    /// Months as strings
+    /// </summary>
     public string[] months = new string[]
     {
         "JANUARY", "FEBRUARY", "MARCH", "APRIL", "MAY", "JUNE", "JULY", "AUGUST", "SEPTEMBER", "OCTOBER", "NOVEMBER", "DECEMBER"
     };
 
+    /// <summary>
+    /// Observes to changes in the date
+    /// </summary>
     public List<DateTimeObserver> observers = new List<DateTimeObserver>();
 
+    /// <summary>
+    /// Date as text
+    /// </summary>
     public Text date;
+
+    /// <summary>
+    /// Day as text
+    /// </summary>
     public Text dayOfWeek;
 
+    /// <summary>
+    /// Current date
+    /// </summary>
     public Date currentDate;
+
+    /// <summary>
+    /// Simulation start date
+    /// </summary>
     public Date startDate;
+
+    /// <summary>
+    /// Simulation end date
+    /// </summary>
     public Date endDate;
+
+    /// <summary>
+    /// Day of the week
+    /// </summary>
     public DayOfWeek day;
 
+    // Start is ran when the application starts
     void Start()
     {
         RegisterObserver(this);
         ResetDate();
     }
 
+    /// <summary>
+    /// Resets the state to current time
+    /// </summary>
     public void ResetDate()
     {
         currentDate = new Date();
@@ -43,6 +81,12 @@ public class DateTimeManager : MonoBehaviour, DateTimeObserver
             observer.Notify(startDate, currentDate, endDate);
     }
 
+    /// <summary>
+    /// Sets the dates
+    /// </summary>
+    /// <param name="currentDate">Current date</param>
+    /// <param name="startDate">Simulation start</param>
+    /// <param name="endDate">Simulation end</param>
     public void SetDates(Date currentDate, Date startDate, Date endDate)
     {
         this.currentDate = currentDate;
@@ -57,11 +101,21 @@ public class DateTimeManager : MonoBehaviour, DateTimeObserver
         }
     }
 
+    /// <summary>
+    /// Register a datetime state observer
+    /// </summary>
+    /// <param name="observer"></param>
     public void RegisterObserver(DateTimeObserver observer)
     {
         observers.Add(observer);
     }
 
+    /// <summary>
+    /// Notify self
+    /// </summary>
+    /// <param name="currentDate">Current date</param>
+    /// <param name="startDate">Simulation start</param>
+    /// <param name="endDate">Simulation end</param>
     public void Notify(Date startDate, Date currentDate, Date endDate)
     {
         date.text = $"{months[currentDate.month - 1]} / {currentDate.day} / {currentDate.year}";
diff --git a/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs b/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
index 4ab717a..f70e532 100644
--- a/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
+++ b/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
@@ -2,7 +2,19 @@
 using System.Collections.Generic;
 using UnityEngine;
 
+/// <summary>
+/// DateTimeObserver Interface
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public interface DateTimeObserver
 {
+    /// <summary>
+    /// Must be able to process date change notifications
+    /// </summary>
+    /// <param name="currentDate">Current date</param>
+    /// <param name="startDate">Simulation start</param>
+    /// <param name="endDate">Simulation end</param>
     void Notify(Date startDate, Date currentDate, Date endDate);
 }
diff --git a/Client/Client/Assets/Scripts/Model/Prediction.cs b/Client/Client/Assets/Scripts/Model/Prediction.cs
index 8559a1c..7dd5e48 100644
--- a/Client/Client/Assets/Scripts/Model/Prediction.cs
+++ b/Client/Client/Assets/Scripts/Model/Prediction.cs
@@ -3,11 +3,23 @@ using System.Collections.Generic;
 using UnityEngine;
 using System.Xml.Serialization;
 
+/// <summary>
+/// Prediction data
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class Prediction
 {
+    /// <summary>
+    /// Date of prediction
+    /// </summary>
     [XmlElement]
     public Date dateTime;
 
+    /// <summary>
+    /// Predicted rush levels
+    /// </summary>
     [XmlArray("rushLevels")]
     [XmlArrayItem("rushLevel")]
     public double[] predictions;
diff --git a/Client/Client/Assets/Scripts/Model/Request.cs b/Client/Client/Assets/Scripts/Model/Request.cs
index 96e731c..b73a7eb 100644
--- a/Client/Client/Assets/Scripts/Model/Request.cs
+++ b/Client/Client/Assets/Scripts/Model/Request.cs
@@ -5,37 +5,69 @@ using System.Xml.Serialization;
 using System;
 using ServerApp.Parser.OutputInfo;
 
+/// <summary>
+/// Request data
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 [XmlRoot("Request")]
 public class Request
 {
+    /// <summary>
+    /// True to use weather set by user
+    /// </summary>
     [XmlElement]
     public bool useWeather;
 
-
+    /// <summary>
+    /// Temperature to use
+    /// </summary>
     [XmlElement]
     public double temperature;
     
+    /// <summary>
+    /// Eind speed to use
+    /// </summary>
     [XmlElement]
     public double wind;
     
+    /// <summary>
+    /// Rain chance to use
+    /// </summary>
     [XmlElement]
     public double rain;
 
+    /// <summary>
+    /// Weather condition to use
+    /// </summary>
     [XmlElement]
     public WeatherConditions weather;
 
 
+    /// <summary>
+    /// True to set a time span, false otherwise
+    /// </summary>
     [XmlElement]
     public bool useEndDate;
 
 
+    /// <summary>
+    /// Prediction start date
+    /// </summary>
     [XmlElement]
     public Date start;
 
+    /// <summary>
+    /// Prediction end date
+    /// </summary>
     [XmlElement]
     public Date end;
 
-
+    /// <summary>
+    /// Creates a random request
+    /// </summary>
+    /// <returns>A random request</returns>
     public static Request Randomize()
     {
         Request r = new Request();
diff --git a/Client/Client/Assets/Scripts/Model/Response.cs b/Client/Client/Assets/Scripts/Model/Response.cs
index d391ced..11ab201 100644
--- a/Client/Client/Assets/Scripts/Model/Response.cs
+++ b/Client/Client/Assets/Scripts/Model/Response.cs
@@ -4,16 +4,32 @@ using UnityEngine;
 using System.Xml.Serialization;
 using System.IO;
 
+/// <summary>
+/// Response data
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 [XmlRoot("Response")]
 public class Response
 {
+    /// <summary>
+    /// Hours per prediction segment
+    /// </summary>
     [XmlElement]
     public int hoursPerSegment;
 
+    /// <summary>
+    /// Rush predictions
+    /// </summary>
     [XmlArray("predictions")]
     [XmlArrayItem("prediction")]
     public Prediction[] predicitons;
 
+    /// <summary>
+    /// Creates a random response
+    /// </summary>
+    /// <returns>A random response</returns>
     public static Response Randomize()
     {
         Response r = new Response();
diff --git a/Client/Client/Assets/Scripts/Model/XmlCommunication.cs b/Client/Client/Assets/Scripts/Model/XmlCommunication.cs
index ef35696..9e10634 100644
--- a/Client/Client/Assets/Scripts/Model/XmlCommunication.cs
+++ b/Client/Client/Assets/Scripts/Model/XmlCommunication.cs
@@ -4,8 +4,20 @@ using UnityEngine;
 using System.Xml.Serialization;
 using System.IO;
 
+/// <summary>
+/// Serialization tools
+/// 
+/// Author: kacerekz
+/// 
+/// </summary>
 public class XmlCommunication
 {
+    /// <summary>
+    /// Serializes to a string
+    /// </summary>
+    /// <typeparam name="T">Type to serialize</typeparam>
+    /// <param name="toSerialize">Item to serialize</param>
+    /// <returns>Item as serialized string</returns>
     public static string Serialize<T>(T toSerialize)
     {
         var xml = new XmlSerializer(toSerialize.GetType());
@@ -17,6 +29,12 @@ public class XmlCommunication
         }
     }
 
+    /// <summary>
+    /// Deserializes from a string
+    /// </summary>
+    /// <typeparam name="T">Type to deserialize from string</typeparam>
+    /// <param name="xmlString">String to deserialize</param>
+    /// <returns>An instance of type T deserialized from a given string</returns>
     public static T Deserialize<T>(string xmlString)
     {
         using (var stream = new StringReader(xmlString))
diff --git a/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs b/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs
new file mode 100644
index 0000000..521ab46
--- /dev/null
+++ b/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs
@@ -0,0 +1,42 @@
+﻿using System;
+using System.Collections;
+using System.Collections.Generic;
+using UnityEngine;
+using UnityEngine.EventSystems;
+using UnityEngine.UI;
+
+public class AliasDropdownItem : MonoBehaviour
+{
+    public Toggle toggle;
+    public Text text;
+    public InputField input;
+    public BuildingPanel panel;
+
+    // Start is called before the first frame update
+    void Start()
+    {
+        toggle = GetComponent<Toggle>();
+        text = GetComponentInChildren<Text>();
+
+        toggle.onValueChanged.AddListener((isSelected) =>
+        {
+            if (isSelected) 
+            { 
+                input.text = text.text;
+
+                panel.findBuildingButton.interactable = false;
+
+                foreach (string alias in BuildingPanel.aliases.Keys)
+                {
+                    if (alias.ToLower().Trim() == input.text.ToLower())
+                    {
+                        panel.findBuildingButton.interactable = true;
+                        return;
+                    }
+                }
+
+            }
+        });
+    }
+
+}
\ No newline at end of file
diff --git a/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs.meta b/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs.meta
new file mode 100644
index 0000000..4f29246
--- /dev/null
+++ b/Client/Client/Assets/Scripts/UI/AliasDropdownItem.cs.meta
@@ -0,0 +1,11 @@
+fileFormatVersion: 2
+guid: b3e7f9cfae510d146a3c0fc34d5f21ea
+MonoImporter:
+  externalObjects: {}
+  serializedVersion: 2
+  defaultReferences: []
+  executionOrder: 0
+  icon: {instanceID: 0}
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
